4

I am running Xcode 7.2.1 on my Mac mini running Mac OS X 10.10.5 (Yosemite) and recently wanted to compile an Apache Cordova project and install it on my iPhone 6s running iOS 9.3 and discovered I couldn’t. The error message that comes up in Xcode is “Could not find Developer Disk Image” which I discovered basically means, “Time to get a new version of Xcode!”

So I went to the downloads area of the Apple Developer website, downloaded the disk image of Xcode 7.3 opened it up and saw this in the Finder window for the Xcode disk image pictured below. What the heck is happening?

Screenshot of the Xcode disk image being opened with the slash through the Xcode icon.

4

It turns out that Xcode 7.3 requires Mac OS X 10.11 (El Capitan) or higher to run see screenshot below from the Mac App Store but the same idea for either install method.

Oh well. Been nice knowing you Yosemite!

As one can see from this question I posted a little while back I’m fairly cautious with my core OS upgrades so I jumped to Mac OS X 10.10 when El Capitan was released just to not be too far behind the curve. Now, I guess I need to finally make the jump to El Capitan!

Screenshot of the Xcode download page with requirement details.

  • 2
    that's actually the SDK, not the minimum OS, but yes, min OS is generically "10.11 or later" itunes.apple.com/us/app/xcode/id497799835?ls=1&mt=12 – Tetsujin Mar 28 '16 at 14:18
  • I downloaded 7.3 but its still not showing 9.3 under ios target version, since my phone is 9.3 i cant deploy my 9.2 app anymore cus it says no disk image found – AngryDuck Mar 30 '16 at 8:15

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .